package com.zb.zbook.mapper;

import com.zb.zbook.model.Role;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface RoleMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Role record);

    int insertSelective(Role record);

    Role selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Role record);

    int updateByPrimaryKey(Role record);

    @Select("select * from Role where id in (select role_id from user_role where user_id = #{userId})")
    List<Role> selectRoleByUserId(@Param("userId") int userId);
}