package com.zb.zbook.service.impl;/**
 * @author: Zhu.QF
 * @Date: 2021/11/29 17:24
 */

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.zb.zbook.dao.BookDao;
import com.zb.zbook.dao.PermissionDao;
import com.zb.zbook.dao.RoleDao;
import com.zb.zbook.dao.UserDao;
import com.zb.zbook.model.Book;
import com.zb.zbook.model.Permission;
import com.zb.zbook.model.Role;
import com.zb.zbook.model.User;
import com.zb.zbook.service.BookService;
import com.zb.zbook.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @program: zbook
 *
 * @description:
 *
 * @author: Zhuqf
 *
 * @Date: 2021/11/29 17:24 
 */
@Service
public class BookServiceImpl implements BookService {
    @Autowired
    private BookDao bookDao;

    @Override
    public PageInfo selectAll(int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<Book> books = bookDao.selectAll();
        PageInfo<Book> pageInfo = new PageInfo<>(books);
        return pageInfo;
    }
}
