-- --------------------------------------------------------
-- 主机:                           localhost
-- 服务器版本:                        5.5.25-MariaDB-log - mariadb.org binary distribution
-- 服务器操作系统:                      Win32
-- HeidiSQL 版本:                  11.0.0.6099
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


-- 导出 zb_db 的数据库结构
CREATE DATABASE IF NOT EXISTS `zb_db` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `zb_db`;

-- 导出  表 zb_db.book 结构
CREATE TABLE IF NOT EXISTS `book` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bookname` varchar(255) DEFAULT NULL,
  `author` varchar(255) DEFAULT NULL,
  `releasedate` date DEFAULT NULL,
  `price` decimal(10,0) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;

-- 正在导出表  zb_db.book 的数据：~12 rows (大约)
/*!40000 ALTER TABLE `book` DISABLE KEYS */;
INSERT INTO `book` (`id`, `bookname`, `author`, `releasedate`, `price`) VALUES
	(1, 'Java Processor', 'david', '2016-01-10', 60),
	(2, 'C Processor', 'david', '2016-01-10', 60),
	(3, 'C++ Processor', 'david', '2016-01-10', 60),
	(4, 'C# Processor', 'david', '2016-01-10', 60),
	(5, 'php Processor', 'david', '2016-01-10', 60),
	(6, 'phython Processor', 'Lily', '2016-01-10', 90),
	(7, 'go Processor', 'Lily', '2016-01-10', 90),
	(8, 'R Processor', 'Lily', '2016-01-10', 90),
	(9, 'scala Processor', 'Lily', '2016-01-10', 90),
	(10, 'hadoop Processor', 'Lily', '2016-01-10', 90),
	(11, 'zookeeper Processor', 'Lily', '2016-01-10', 90),
	(12, 'hbase Processor', 'Lily', '2016-01-10', 90);
/*!40000 ALTER TABLE `book` ENABLE KEYS */;

-- 导出  表 zb_db.permission 结构
CREATE TABLE IF NOT EXISTS `permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `permissionname` varchar(255) DEFAULT NULL,
  `resourceType` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `permission` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `create_time` date DEFAULT NULL,
  `update_time` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

-- 正在导出表  zb_db.permission 的数据：~4 rows (大约)
/*!40000 ALTER TABLE `permission` DISABLE KEYS */;
INSERT INTO `permission` (`id`, `permissionname`, `resourceType`, `url`, `permission`, `status`, `create_time`, `update_time`) VALUES
	(1, '用户管理', 'menu', 'userlist', 'user:list', 'use', '2018-08-10', '2018-08-10'),
	(2, '用户修改', 'menu', 'useredit', 'user:edit', 'use', '2018-08-10', '2018-08-10'),
	(3, '用户删除', 'menu', 'userdelete', 'user:delete', 'use', '2018-08-10', '2018-08-10'),
	(4, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `permission` ENABLE KEYS */;

-- 导出  表 zb_db.role 结构
CREATE TABLE IF NOT EXISTS `role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rolename` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `create_time` date DEFAULT NULL,
  `update_time` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- 正在导出表  zb_db.role 的数据：~3 rows (大约)
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
INSERT INTO `role` (`id`, `rolename`, `description`, `status`, `create_time`, `update_time`) VALUES
	(1, 'admin', '管理员', 'use', '2018-08-10', '2018-08-10'),
	(2, 'manage', '经理', 'use', '2018-08-10', '2018-08-10'),
	(3, 'user', '普通用户', 'use', '2018-08-10', '2018-08-10');
/*!40000 ALTER TABLE `role` ENABLE KEYS */;

-- 导出  表 zb_db.role_permission 结构
CREATE TABLE IF NOT EXISTS `role_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` varchar(255) DEFAULT NULL,
  `permission_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

-- 正在导出表  zb_db.role_permission 的数据：~6 rows (大约)
/*!40000 ALTER TABLE `role_permission` DISABLE KEYS */;
INSERT INTO `role_permission` (`id`, `role_id`, `permission_id`) VALUES
	(1, '1', '1'),
	(2, '1', '2'),
	(3, '1', '3'),
	(4, '2', '1'),
	(5, '2', '2'),
	(6, '3', '1');
/*!40000 ALTER TABLE `role_permission` ENABLE KEYS */;

-- 导出  表 zb_db.user 结构
CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `mobile` varchar(255) DEFAULT NULL,
  `email` varchar(255) DEFAULT NULL,
  `sex` varchar(255) DEFAULT NULL,
  `nickname` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

-- 正在导出表  zb_db.user 的数据：~13 rows (大约)
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` (`id`, `username`, `password`, `mobile`, `email`, `sex`, `nickname`) VALUES
	(1, 'admin', '123456', '13918891675', 'mmc@163.com', '男', '管理员'),
	(2, 'lisi2', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(3, 'lisi3', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(4, 'lisi4', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(5, 'lisi5', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(6, 'lisi6', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(7, 'lisi7', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(8, 'lisi8', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(9, 'lisi9', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(11, 'lisi11', '123456', '13918891611', '11@163.com', 'm', 'lisi1'),
	(12, 'lisi12', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(13, 'lisi13', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1'),
	(14, 'lisi14', '123456', '13918891675', 'mmc@163.com', 'm', 'lisi1');
/*!40000 ALTER TABLE `user` ENABLE KEYS */;

-- 导出  表 zb_db.user_role 结构
CREATE TABLE IF NOT EXISTS `user_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) DEFAULT NULL,
  `role_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

-- 正在导出表  zb_db.user_role 的数据：~6 rows (大约)
/*!40000 ALTER TABLE `user_role` DISABLE KEYS */;
INSERT INTO `user_role` (`id`, `user_id`, `role_id`) VALUES
	(1, '1', '1'),
	(2, '1', '2'),
	(3, '1', '3'),
	(4, '2', '2'),
	(5, '3', '3'),
	(6, '4', '3');
/*!40000 ALTER TABLE `user_role` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
