package com.zb.zbook.service;

import com.github.pagehelper.PageInfo;
import com.zb.zbook.model.User;

/**
 * @author: Zhu.QF
 * @Date: 2021/11/29 17:24
 */
public interface UserService {
    User selectByPrimaryKey(Integer id);

    PageInfo<User> selectAll(int pageNum, int pageSize);

    User validateUser(String username, String password);

    int deleteByPrimaryKey(Integer id);

    int insertSelective(User record);

    int updateByPrimaryKeySelective(User record);

    User selectByUsername(String username);

    User findRoleAndPermissions(User user);
}
